Subject: Re: Defer selection of asynchronous subplans until the executor initialization stage

From: Etsuro Fujita <[email-masked]>
Date: Sun, 13 Mar 2022 18:39:02 +0900

Hi Alexander,

On Wed, Sep 15, 2021 at 3:40 PM Alexander Pyhalov
<[email-masked]> wrote:
> Etsuro Fujita писал 2021-08-30 12:52:
> > To allow async execution in a bit more cases, I modified the patch a
> > bit further: a ProjectionPath put directly above an async-capable
> > ForeignPath would also be considered async-capable as ForeignScan can
> > project and no separate Result is needed in that case, so I modified
> > mark_async_capable_plan() as such, and added test cases to the
> > postgres_fdw regression test.  Attached is an updated version of the
> > patch.

> The patch looks good to me and seems to work as expected.

Thanks for reviewing!  I’m planning to commit the patch.

Sorry for the long delay.

Best regards,
Etsuro Fujita